extends Area2D


var SPEED = 100.0;
var DAMAGE = 10.0;
var elapsed = 0.0;
var original_pos:Vector2;
var vel:Vector2;
var count = 0;
var tick = 0;
var ID;
var SOURCE;
var time_to_live = 5.0;

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.

func _disable_bullet():
	SOURCE._return_bullet(self);

func _new_setup(dmg, spawner):
	if(dmg != -1):
		DAMAGE = dmg;
	position = spawner.global_position;
	global_rotation = spawner.global_rotation;
	process_mode = Node.PROCESS_MODE_INHERIT;
	elapsed = 0.0;
	vel = Vector2(SPEED,0).rotated(rotation)
	original_pos = global_position;
	global_position += vel * 0.01;
	count = 0;
	tick = 0;
	visible = true;
func _bullet_explode(hit_obj):
	call_deferred("_disable_bullet");
	process_mode = Node.PROCESS_MODE_DISABLED;
